harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Hindess <mark.hind...@googlemail.com>
Subject Re: latest stable packages JRE packages - jre-r603534 (M4)
Date Sat, 19 Jan 2008 21:27:53 GMT

On 16 January 2008 at 11:37, "Stepan Mishura" <stepan.mishura@gmail.com> wrote:
> Hi Konstantin,
> 
> On 1/15/08, Konstantin Lupach <konstantin.lupach@gmail.com> wrote:
> > Hi All,
> >
> > I gave a try these packages on Linux IA32 host with RHEL3 update 6 and
> > noticed that both apache-harmony-jre-r603534-linux-x86-32-libstdc++v6-
> > snapshot.tar.gz and
> > apache-harmony-jre-r603534-linux-x86-32-snapshot.tar.gzrequire
> > libstdc++.so.6. Was the 2-nd package built in a wrong compiler
> > environment?
> >
> 
> Yes, you are right - both packages depend on libstdc++.so.6.
> Sorry, I missed that - OSes on the build hosts were upgraded and now
> libstdc++.so.6 is linked but still ICU libraries by default go with
> libstdc++.so.5 dependency.
> 
> I think this is the right time to start publishing binaries with
> libstdc++.so.6 dependency only.
> Mark, you have committed ICU built libraries in
> depends/libs/linux.x86.libstdc++6. How we can get the same for x86_64
> platform?

I've created the libstdc++6 version for x86_64 and checked them in at
r613454.

-Mark.



Mime
View raw message